GtkDatabox: gtk/gtkdatabox_xyyc_graph.c File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions
gtk/gtkdatabox_xyyc_graph.c File Reference
`#include <gtkdatabox_xyyc_graph.h>`
Include dependency graph for gtkdatabox_xyyc_graph.c:

## Data Structures
struct | _GtkDataboxXYYCGraphPrivate
## Enumerations
enum | { PROP_X = 1, PROP_Y1, PROP_Y2, PROP_LEN }
## Functions
gfloat * | gtk_databox_xyyc_graph_get_X (GtkDataboxXYYCGraph *xyyc_graph)
gfloat * | gtk_databox_xyyc_graph_get_Y1 (GtkDataboxXYYCGraph *xyyc_graph)
gfloat * | gtk_databox_xyyc_graph_get_Y2 (GtkDataboxXYYCGraph *xyyc_graph)
guint | gtk_databox_xyyc_graph_get_length (GtkDataboxXYYCGraph *xyyc_graph)
GType | gtk_databox_xyyc_graph_get_type (void)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  PROP_X |
  PROP_Y1 |
  PROP_Y2 |
  PROP_LEN |

## Function Documentation

guint gtk_databox_xyyc_graph_get_length | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_length: : A GtkDataboxXYYCGraph object

Gets the the length of the X and Y values arrays.

Return value: Length of X/Y arrays.

GType gtk_databox_xyyc_graph_get_type | ( | void |  | ) |

gfloat* gtk_databox_xyyc_graph_get_X | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_X: : A GtkDataboxXYYCGraph object

Gets the X values of the .

Return value: Pointer to X values

gfloat* gtk_databox_xyyc_graph_get_Y1 | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_Y1: : A GtkDataboxXYYCGraph object

Gets the Y1 values of the .

Return value: Pointer to Y1 values

gfloat* gtk_databox_xyyc_graph_get_Y2 | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_Y2: : A GtkDataboxXYYCGraph object

Gets the Y2 values of the .

Return value: Pointer to Y2 values

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines